hwlocality_opencl(3)

NAME
hwlocality_opencl

SYNOPSIS

  Functions
static int hwloc_opencl_get_device_cpuset (hwloc_topology_t topology, cl_device_id device, hwloc_cpuset_t set)
static hwloc_obj_t hwloc_opencl_get_device_osdev_by_index (hwloc_topology_t topology, unsigned platform_index, unsigned device_index)
static hwloc_obj_t hwloc_opencl_get_device_osdev (hwloc_topology_t topology, cl_device_id device)

Detailed Description

This interface offers ways to retrieve topology information about OpenCL devices.

Only the AMD OpenCL interface currently offers useful locality information about its devices.

Function Documentation

  static int hwloc_opencl_get_device_cpuset (hwloc_topology_t topology, cl_device_id device, hwloc_cpuset_t set) [inline], [static]

Get the CPU set of logical processors that are physically close to OpenCL device device. Return the CPU set describing the locality of the OpenCL device device.

Topology topology and device device must match the local machine. I/O devices detection and the OpenCL component are not needed in the topology.

The function only returns the locality of the device. If more information about the device is needed, OS objects should be used instead, see hwloc_opencl_get_device_osdev() and hwloc_opencl_get_device_osdev_by_index().

This function is currently only implemented in a meaningful way for Linux with the AMD OpenCL implementation; other systems will simply get a full cpuset.

  static hwloc_obj_t hwloc_opencl_get_device_osdev (hwloc_topology_t topology, cl_device_id device) [inline], [static]

Get the hwloc OS device object corresponding to OpenCL device device. Return the hwloc OS device object that describes the given OpenCL device device. Return NULL if there is none.

Topology topology and device device must match the local machine. I/O devices detection and the OpenCL component must be enabled in the topology. If not, the locality of the object may still be found using hwloc_opencl_get_device_cpuset().

Note:
    The corresponding hwloc PCI device may be found by looking at the result parent pointer.

  static hwloc_obj_t hwloc_opencl_get_device_osdev_by_index (hwloc_topology_t topology, unsigned platform_index, unsigned device_index) [inline], [static]

Get the hwloc OS device object corresponding to the OpenCL device for the given indexes. Return the OS device object describing the OpenCL device whose platform index is platform_index, and whose device index within this platform if device_index. Return NULL if there is none.

The topology topology does not necessarily have to match the current machine. For instance the topology may be an XML import of a remote host. I/O devices detection and the OpenCL component must be enabled in the topology.

Note:
    The corresponding PCI device object can be obtained by looking at the OS device parent object.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.